/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var productAttributesSelected = ko.observableArray([]),
        otherProductDetails = ko.observable(''),
        otherProductDetailsChecked = ko.observable(false);

    return {
        productAttributesSelected: productAttributesSelected,
        otherProductDetails: otherProductDetails,
        otherProductDetailsChecked: otherProductDetailsChecked
    };
});
